### Method

# ICalGLib Component foreach_tzid

since: 3.0.5

#### Declaration [src]

    void
    i_cal_component_foreach_tzid (
      ICalComponent* comp,
      ICalComponentForeachTZIDFunc callback,
      gpointer user_data
    )

#### Description [src]

Applies the same manipulation on every tzid in `ICalComponent`.

Available since: 3.0.5

#### Parameters

`callback`

  Type: `ICalComponentForeachTZIDFunc`

  The callback function.

`user_data`

  Type: `gpointer`

  The user data for callback function.

  The argument can be `NULL`.
  The data is owned by the caller of the method.